commit:     122460d2688bed562f0806ad34c192d5ac231a84
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  7 13:13:38 2019 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Thu Feb  7 13:13:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=122460d2

net-mail/mailutils: bump to 3.5

and add missing header file
Closes: https://bugs.gentoo.org/669946
Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Eray Aslan <eras <AT> gentoo.org>

 net-mail/mailutils/Manifest                        |   1 +
 .../files/mailutils-3.5-add-include.patch          |  10 ++
 net-mail/mailutils/mailutils-3.5.ebuild            | 131 +++++++++++++++++++++
 3 files changed, 142 insertions(+)

diff --git a/net-mail/mailutils/Manifest b/net-mail/mailutils/Manifest
index bb4ed6648ba..fa03c7764a6 100644
--- a/net-mail/mailutils/Manifest
+++ b/net-mail/mailutils/Manifest
@@ -1,2 +1,3 @@
 DIST mailutils-3.1.1.tar.xz 2759000 BLAKE2B 
146dbc17f222f5f6293c88861fbe75679bde9497d1e9db577441290a2946632ee946ba726cd618363c3f6c1e3bfc87cbd9e94f701ca90f794e6182370bc35ac3
 SHA512 
68a6f530935118f60503550aff925c799fee4de77377e726548f418e05687b1c8f29210bcb97e1b1033f9414bdbceeaa41e65496b0648a6356c8363554955e8c
 DIST mailutils-3.4.tar.xz 2619672 BLAKE2B 
3a49c319a7171b2659477e6892ae222a342243e84ed2ee93e6d77353e1871d57d101a3a6ee3d2442709adbfb090e4931e134369661e8e8aa407061c1eccdf862
 SHA512 
548d97a4a036ef0ef5a429c82ffa43dd377b210b4c4d3844e7e5dded0f963060e3733b7766821c06ccf4dc1135002608658bcd6420e75b4ca1f4f17cfc8e2573
+DIST mailutils-3.5.tar.xz 2742824 BLAKE2B 
ca14597114203234912cf4cfaa4c63e682561deb28d9d0825373c69de267c215d12b9db662cfd60024228e119433fb40a136d65cfd04385f881ba4b0384c8328
 SHA512 
6aa2de352be637295a8ab53207a8065f5c10655acc299ac0a2190937ec4decb515ac1044c9a7465b08764ca45be569012cce1046b40d748f6e4f31644f056a53

diff --git a/net-mail/mailutils/files/mailutils-3.5-add-include.patch 
b/net-mail/mailutils/files/mailutils-3.5-add-include.patch
new file mode 100644
index 00000000000..307840b5025
--- /dev/null
+++ b/net-mail/mailutils/files/mailutils-3.5-add-include.patch
@@ -0,0 +1,10 @@
+--- a/frm/frm.h        2018-02-10 09:06:00.000000000 +0300
++++ b/frm/frm.h        2019-02-07 09:40:57.541489264 +0300
+@@ -24,6 +24,7 @@
+ #include <string.h>
+ #include <unistd.h>
+ #include <fcntl.h>
++#include <limits.h>
+ #include <sys/types.h>
+ #ifdef HAVE_TERMIOS_H
+ # include <termios.h>

diff --git a/net-mail/mailutils/mailutils-3.5.ebuild 
b/net-mail/mailutils/mailutils-3.5.ebuild
new file mode 100644
index 00000000000..f09fc7f30b0
--- /dev/null
+++ b/net-mail/mailutils/mailutils-3.5.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit autotools elisp-common eutils flag-o-matic python-single-r1 
toolchain-funcs
+
+DESCRIPTION="A useful collection of mail servers, clients, and filters"
+HOMEPAGE="https://www.gnu.org/software/mailutils/mailutils.html";
+SRC_URI="mirror://gnu/mailutils/${P}.tar.xz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="berkdb bidi +clients emacs gdbm sasl guile ipv6 kerberos kyotocabinet \
+       ldap mysql nls pam postgres python servers ssl static-libs +threads 
tcpd \
+       tokyocabinet"
+
+RDEPEND="!mail-client/nmh
+       !mail-filter/libsieve
+       !mail-client/mailx
+       !mail-client/nail
+       sys-libs/ncurses:=
+       sys-libs/readline:=
+       dev-libs/libltdl:0
+       virtual/mta
+       berkdb? ( sys-libs/db:= )
+       bidi? ( dev-libs/fribidi )
+       emacs? ( virtual/emacs )
+       gdbm? ( sys-libs/gdbm )
+       guile? ( dev-scheme/guile:12/2.2-1 )
+       kerberos? ( virtual/krb5 )
+       kyotocabinet? ( dev-db/kyotocabinet )
+       ldap? ( net-nds/openldap )
+       mysql? ( virtual/mysql )
+       nls? ( sys-devel/gettext )
+       pam? ( virtual/pam )
+       postgres? ( dev-db/postgresql:= )
+       python? ( ${PYTHON_DEPS} )
+       sasl? ( virtual/gsasl )
+       ssl? ( net-libs/gnutls:= )
+       tcpd? ( sys-apps/tcp-wrappers )
+       tokyocabinet? ( dev-db/tokyocabinet )"
+
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+       servers? ( tcpd )"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       if use mysql; then
+               sed -i -e /^INCLUDES/"s:$:$(mysql_config --include):" \
+                       sql/Makefile.am || die
+       fi
+       # bug 669946
+       eapply "${FILESDIR}/${PN}-3.5-add-include.patch"
+       eapply_user
+       eautoreconf
+}
+
+src_configure() {
+       append-flags -fno-strict-aliasing
+
+       # maildir is the Gentoo default
+       econf MU_DEFAULT_SCHEME=maildir \
+               CURSES_LIBS="$($(tc-getPKG_CONFIG) --libs ncurses)" \
+               $(use_with berkdb berkeley-db) \
+               $(use_with bidi fribidi) \
+               $(use_enable ipv6) \
+               $(use_with gdbm) \
+               $(use_with sasl gsasl) \
+               $(use_with guile) \
+               $(use_with kerberos gssapi) \
+               $(use_with ldap) \
+               $(use_with mysql) \
+               $(use_enable nls) \
+               $(use_enable pam) \
+               $(use_with postgres) \
+               $(use_enable python) \
+               $(use_with ssl gnutls) \
+               $(use_enable static-libs static) \
+               $(use_enable threads pthread) \
+               $(use_with tokyocabinet) \
+               $(use_with kyotocabinet) \
+               $(use_with tcpd tcp-wrappers) \
+               $(use_enable servers build-servers) \
+               $(use_enable clients build-clients) \
+               EMACS=$(usex emacs emacs no) \
+               --with-lispdir="${EPREFIX}${SITELISP}/${PN}" \
+               --with-mail-spool=/var/spool/mail \
+               --with-readline \
+               --enable-sendmail \
+               --disable-debug
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       insinto /etc
+       # bug 613112
+       newins "${FILESDIR}/mailutils.rc" mailutils.conf
+       keepdir /etc/mailutils.d/
+       insinto /etc/mailutils.d
+       doins "${FILESDIR}/mail"
+
+       if use python; then
+               python_optimize
+               if use static-libs; then
+                       rm -r "${D}$(python_get_sitedir)/mailutils"/*.{a,la} || 
die
+               fi
+       fi
+
+       if use servers; then
+               newinitd "${FILESDIR}"/imap4d.initd imap4d
+               newinitd "${FILESDIR}"/pop3d.initd pop3d
+               newinitd "${FILESDIR}"/comsatd.initd comsatd
+       fi
+
+       dodoc AUTHORS ChangeLog NEWS README* THANKS TODO
+
+       # compatibility link
+       use clients && dosym /usr/bin/mail /bin/mail
+
+       use static-libs || find "${D}" -name "*.la" -delete
+}

Reply via email to